@_private(sourceFile: "ProjectSlideshowView.swift") import OnCue
import func SwiftUI.__designTimeBoolean
import func SwiftUI.__designTimeInteger
import protocol SwiftUI.PreviewProvider
import func SwiftUI.__designTimeString
import func SwiftUI.__designTimeFloat
import struct SwiftUI.EmptyView
import protocol SwiftUI.View
import SwiftUI

extension CueCardView {
    @_dynamicReplacement(for: body) private var __preview__body: some View {
        #sourceLocation(file: "/Users/pradyun/Code/Apps/OnCue/OnCue/View/ProjectSlideshowView.swift", line: 34)
        VStack(alignment: .leading) {
            Text(card.content)
                .foregroundColor(.primary)
                .font(.system(size: __designTimeInteger("#1083.[2].[1].property.[0].[0].arg[1].value.[0].modifier[1].arg[0].value.arg[0].value", fallback: 25)))
                .padding()
                .frame(height: __designTimeInteger("#1083.[2].[1].property.[0].[0].arg[1].value.[0].modifier[3].arg[0].value", fallback: 550))
            Spacer()
        }
    
#sourceLocation()
    }
}

extension ProjectSlideshowView {
    @_dynamicReplacement(for: body) private var __preview__body: some View {
        #sourceLocation(file: "/Users/pradyun/Code/Apps/OnCue/OnCue/View/ProjectSlideshowView.swift", line: 14)
        TabView() {
            ForEach(project.cards) { card in
                CueCardView(card: card)
            }
        }
        .tabViewStyle(PageTabViewStyle(indexDisplayMode: .always))
        .toolbar {
            ToolbarItem(placement: .topBarTrailing) {
                NavigationLink(destination: { CardsView(project: project) }) {
                    Image(systemName: __designTimeString("#1083.[1].[1].property.[0].[0].modifier[1].arg[0].value.[0].arg[1].value.[0].arg[1].value.[0].arg[0].value", fallback: "stop.fill"))
                }
            }
        }
    
#sourceLocation()
    }
}

import struct OnCue.ProjectSlideshowView
import struct OnCue.CueCardView
#Preview {
    ProjectSlideshowView(project: PreviewData.project)
}



